#ifndef _UTILS_H_
#define _UTILS_H_

#define K 8.988e9;
#define E 1.602e-19;

#include <stdint.h>
#include "vector/vector.h"
#include "draw/draw.h"

typedef struct _charge_t
{
    double q;
    vec2 pos;
} charge_t;

// Transform a position in the univers [x0,y0]x[x1,y1] to a screen position
coordinates_t position_to_coordinates(int width, int height, double x0, double x1, double y0, double y1, vec2 pos);

double rand_one();

charge_t charge_create(double q, vec2 pos);

#endif